[SynPS/2 Synaptics TouchPad] TouchPad not working after installtion

Bug #1499665 reported by Yung Shen on 2015-09-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
xorg (Ubuntu)
Low
Unassigned

Bug Description

During installation touchpad works perfectly, but after trusty(3.19) installed, and restarted, touchpad unable to use anymore.

Steps to reproduce:

1. Boot system with 14.04.3 live usb
2. Install the system

Expected result:
Touchpad works normally as in live environment

Actual results:
Touchpad no response

Additional Info.:
$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech USB-PS/2 Optical Mouse id=9 [slave pointer (2)]
⎜ ↳ ELAN Touchscreen id=11 [slave pointer (2)]
⎜ ↳ DLLC6D7:00 06CB:796A id=12 [slave pointer (2)]
⎜ ↳ SynPS/2 Synaptics TouchPad id=14 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Sleep Button id=8 [slave keyboard (3)]
    ↳ Integrated_Webcam_HD id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=13 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=15 [slave keyboard (3)]

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8.1
ProcVersionSignature: Ubuntu 3.19.0-28.30~14.04.1-generic 3.19.8-ckt5
Uname: Linux 3.19.0-28-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.15
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Fri Sep 25 17:48:59 2015
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation ValleyView Gen7 [8086:0f31] (rev 0e) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:06d7]
InstallationDate: Installed on 2015-09-22 (2 days ago)
InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
MachineType: Dell Inc. Inspiron 5551
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-28-generic.efi.signed root=UUID=3bf855c2-39fe-4325-a1cc-960930d96a9e ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/28/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X16
dmi.board.asset.tag: AFTPASS
dmi.board.name: Type2 - Board Product Name1
dmi.board.vendor: Dell Inc.
dmi.board.version: Type2 - Board Version
dmi.chassis.asset.tag: AFTPASS
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: X16
dmi.modalias: dmi:bvnDellInc.:bvrX16:bd01/28/2015:svnDellInc.:pnInspiron5551:pvrX16:rvnDellInc.:rnType2-BoardProductName1:rvrType2-BoardVersion:cvnDellInc.:ct8:cvrX16:
dmi.product.name: Inspiron 5551
dmi.product.version: X16
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2~ubuntu14.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri N/A
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Fri Sep 25 17:06:43 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5100
 vendor AUO
xserver.version: 2:1.17.1-0ubuntu3.1~trusty1
---
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.11
Architecture: amd64
CasperVersion: 1.340.2
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: Fresh install
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation ValleyView Gen7 [8086:0f31] (rev 0e) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:06d7]
LiveMediaBuild: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
MachineType: Dell Inc. Inspiron 5551
Package: xorg 1:7.7+1ubuntu8.1 [origin: unknown]
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/casper/vmlinuz.efi file=/cdrom/preseed/username.seed boot=casper quiet splash --
ProcVersionSignature: Ubuntu 3.19.0-25.26~14.04.1-generic 3.19.8-ckt2
Tags: third-party-packages trusty ubuntu compiz-0.9
Uname: Linux 3.19.0-25-generic x86_64
UnreportableReason: This is not an official Ubuntu package. Please remove any third party package and try again.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 08/13/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.asset.tag: AFTPASS
dmi.board.name: Type2 - Board Product Name1
dmi.board.vendor: Dell Inc.
dmi.board.version: Type2 - Board Version
dmi.chassis.asset.tag: AFTPASS
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A03
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd08/13/2015:svnDellInc.:pnInspiron5551:pvrA03:rvnDellInc.:rnType2-BoardProductName1:rvrType2-BoardVersion:cvnDellInc.:ct8:cvrA03:
dmi.product.name: Inspiron 5551
dmi.product.version: A03
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2~ubuntu14.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri N/A
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Wed Nov 18 04:29:24 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5100
 vendor AUO
xserver.version: 2:1.17.1-0ubuntu3~trusty1

Yung Shen (kaxing) wrote :
tags: added: blocks-hwcert
Yung Shen (kaxing) on 2015-09-25
description: updated
tags: added: bios-outdated-a03
affects: linux-lts-vivid (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete

apport information

tags: added: apport-collected third-party-packages
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Yung Shen (kaxing) wrote : Lspci.txt

apport information

Yung Shen (kaxing) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Yung Shen (kaxing) wrote :

After updated bios to A03 prior to comment #2, the touchpad won't even work during the installation.

tags: added: 201501-16349
Yung Shen (kaxing) on 2015-11-18
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in xorg (Ubuntu):
status: Incomplete → Confirmed

Yung Shen, could you please test the latest upstream kernel available from the very top line at the top of the page from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D (the release names are irrelevant for testing, and please do not test the daily folder)? Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds . This will allow additional upstream developers to examine the issue.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-a03
removed: bios-outdated-a03
Changed in linux (Ubuntu):
importance: Low → Medium
status: Confirmed → Incomplete
Changed in hwe-next:
status: New → Incomplete
Changed in hwe-next:
status: Incomplete → Won't Fix
To post a comment you must log in.